Package ghidra.trace.util

# Interface DataAdapterFromSettings

All Superinterfaces:
  `CodeUnit`, `Data`, `MemBuffer`, `PropertySet`, `Settings`

All Known Subinterfaces:
  `DBTraceDataAdapter`, `DBTraceDefinedDataAdapter`

All Known Implementing Classes:
  `AbstractDBTraceDataComponent`, `AbstractDBTraceProgramViewListing.DBTraceProgramViewUndefinedData`, `DBTraceData`, `DBTraceDataArrayElementComponent`, `DBTraceDataCompositeFieldComponent`, `UndefinedDBTraceData`

public interface DataAdapterFromSettings extends Data

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.listing.CodeUnit

  `COMMENT_PROPERTY, DEFINED_DATA_PROPERTY, EOL_COMMENT, INSTRUCTION_PROPERTY, MNEMONIC, PLATE_COMMENT, POST_COMMENT, PRE_COMMENT, REPEATABLE_COMMENT, SPACE_PROPERTY`

  ### Fields inherited from interface ghidra.docking.settings.Settings

  `EMPTY_STRING_ARRAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default <T extends SettingsDefinition>
  T`
  `getSettingsDefinition(Class<T> settingsDefinitionClass)`
  `default boolean`
  `hasMutability(int mutabilityType)`
  `default boolean`
  `isConstant()`
  Determine if this data has explicitly been marked as constant.
  `default boolean`
  `isVolatile()`
  Determine if this data has explicitly been marked as volatile.
  `default boolean`
  `isWritable()`
  Determine if this data has explicitly been marked as writable.

  ### Methods inherited from interface ghidra.program.model.listing.CodeUnit

  `addMnemonicReference, addOperandReference, compareTo, contains, getAddress, getAddressString, getBytes, getBytesInCodeUnit, getComment, getComment, getCommentAsArray, getCommentAsArray, getExternalReference, getLabel, getLength, getMaxAddress, getMinAddress, getMnemonicReferences, getMnemonicString, getNumOperands, getOperandReferences, getPrimaryReference, getPrimarySymbol, getProgram, getReferenceIteratorTo, getReferencesFrom, getScalar, getSymbols, removeExternalReference, removeMnemonicReference, removeOperandReference, setComment, setComment, setCommentAsArray, setCommentAsArray, setPrimaryMemoryReference, setRegisterReference, setStackReference`

  ### Methods inherited from interface ghidra.program.model.listing.Data

  `addValueReference, getBaseDataType, getComponent, getComponent, getComponentAt, getComponentContaining, getComponentIndex, getComponentLevel, getComponentPath, getComponentPathName, getComponentsContaining, getDataType, getDefaultLabelPrefix, getDefaultValueRepresentation, getFieldName, getNumComponents, getParent, getParentOffset, getPathName, getPrimitiveAt, getRoot, getRootOffset, getValue, getValueClass, getValueReferences, hasStringValue, isArray, isDefined, isDynamic, isImmutableSettings, isPointer, isStructure, isUnion, removeValueReference`

  ### Methods inherited from interface ghidra.program.model.mem.MemBuffer

  `getAddress, getBigInteger, getByte, getBytes, getInputStream, getInputStream, getInt, getLong, getMemory, getShort, getUnsignedByte, getUnsignedInt, getUnsignedShort, getVarLengthInt, getVarLengthUnsignedInt, isBigEndian, isInitializedMemory`

  ### Methods inherited from interface ghidra.program.model.util.PropertySet

  `getIntProperty, getObjectProperty, getStringProperty, getVoidProperty, hasProperty, propertyNames, removeProperty, setProperty, setProperty, setProperty, setProperty`

  ### Methods inherited from interface ghidra.docking.settings.Settings

  `clearAllSettings, clearSetting, getDefaultSettings, getLong, getNames, getString, getSuggestedValues, getValue, isChangeAllowed, isEmpty, setLong, setString, setValue`

- ## Method Details

  - ### getSettingsDefinition

    default <T extends SettingsDefinition> T getSettingsDefinition(Class<T> settingsDefinitionClass)

  - ### hasMutability

    default boolean hasMutability(int mutabilityType)

  - ### isConstant

    default boolean isConstant()
    Description copied from interface: `Data`
    Determine if this data has explicitly been marked as constant. NOTE: This is based upon explicit `Data` and `DataType` mutability settings and does not reflect independent memory block or processor specification settings.
    Specified by:
      `isConstant` in interface `Data`
    Returns:
      true if data is constant, else false.

  - ### isWritable

    default boolean isWritable()
    Description copied from interface: `Data`
    Determine if this data has explicitly been marked as writable. NOTE: This is based upon explicit `Data` and `DataType` mutability settings and does not reflect independent memory block or processor specification settings.
    Specified by:
      `isWritable` in interface `Data`
    Returns:
      true if data is writable, else false.

  - ### isVolatile

    default boolean isVolatile()
    Description copied from interface: `Data`
    Determine if this data has explicitly been marked as volatile. NOTE: This is based upon explicit `Data` and `DataType` mutability settings and does not reflect independent memory block or processor specification settings.
    Specified by:
      `isVolatile` in interface `Data`
    Returns:
      true if data is volatile, else false.